# 错误代码描述

---

## 系统错误描述
返回码|描述|用户提示
---|---|---
0|返回正确|OK
1|不支持的CMD|Unsupported operation
2|服务器内部错误|Linking...

 
## 账户信息

返回码|描述|用户提示
---|---|---
1001|SessionKey格式不正确| Authentication error, please log in again
1002|用户帐号不存在|Unknown user name
1003|dana_time 已过期|Your com.danale.sdk.device's time is not correct
1004|用户名和密码不匹配|Incorrect password
1005|被迫下线,该账户从其他设备登录(Phone,PC/TV 同时只能有一个在线)|Logged in elsewhere
1006|app_core类型转换错误|App type error
1007|已退出，请重新登录|You switch to another server , please relogin
1100|密码长度小于6位|Password could not be less than 6 letters



## 设备信息

返回码|描述|用户提示
---|---|---
5001|设备ID不存在|Device ID not exist
5002|该设备没有服务信息存在|No service information
5003|device不存在，无法收藏|Fail to follow
5004|设备已收藏，无法再次设置收藏|Already followed
5005|设备未收藏，无法取消收藏|Not followed, cannot cancel
5006|device已存在，无法添加|Already added
5007|设备不属于该用户，无法操作|Failed as you are not com.danale.sdk.device owner
5008|设备未分享，无法取消|Not shared, cannot cancel
5009|设备已共享为public，无法分享给某一用户|Already public shared
5010|设备已共享给该用户|Already shared
5011|设备未开通对应服务，无法关闭|Service not opened,cannot close
5012|用户无device无法检测Rom|No com.danale.sdk.device yet, cannot check ROM
5013|获取用户device错误无法检测rom|Fail to obtain com.danale.sdk.device information,cannot check ROM
5014|获取用户设备的productcode错误无法检测Rom|Fail to obtain product code, cannot check ROM
5015|无对应可更新Rom|Latest ROM already
5016|设备无对应的product信息|No product information
5017|设product无对应的厂家信息|No manufacturer information
5018|获取用户device错误无法检测rom|Fail to obtain com.danale.sdk.device information,cannot check ROM
5019|设置设备的激活时间失败|Fail to set com.danale.sdk.device active time
5020|设备不在线|
5021|设备已被添加|



## JSON格式校验错误码（包括值）

返回码|描述|用户提示
---|---|---
2000|JSON格式不正确|Incorrect data type
2001|没有设置cmd参数|Command parameter error
2002|缺少Body参数|Body parameter error
2003|body转数组失败|Body to array error
2004|缺少request_id参数|Lack ID parameter
2005|缺少page参数|Lack page parameter
2006|page参数不正确，必须大于0|Page parameter must be bigger than 0
2007|缺少page_size参数|Lack page size parameter
2008|page_ize参数不正确，必须大于0|Page size parameter must be bigger than 0
2009|page或者page_size不正确，必须大于0|Page or page size parameter must be bigger than 0
2010|缺少接口必须参数(body中的参数|Lack port parameter
2011|连接平台返回json格式错误|Platform data error
2012|连接平台返回code格式错误|Code type error


### UserReg

返回码|描述|用户提示
---|---|---
2100|core_code不存在,或者core_code 不正确（有多个相同的core_code存在）. [ App 提示为：申请大拿公司识别码不正确！]|Core code error
2101|注册邮箱不合法|Incorrect email format
2102|手机号码不合法|Invalid mobile number
2103|发送邮件失败|Fail to send activate email, please check email address again
2104|发送验证短信失败|Fail to send activate message, please try again later
2105|用户已激活|Already activated



### UserRegCheck

返回码|描述|用户提示
---|---|---
2150|注册验证码错误|Incorrect verification code
2151|修改资料 向大拿总平台提交数据时出错|Edit error
2152|用户名已经存在|Already registered)
2105|用户已激活|Activated


### UserForgetPwd

返回码|描述|用户提示
---|---|---
2200|用户不存在|User not exist
2103|发送邮件失败|Fail to send email
2104|发送验证短信失败|Fail to send message


### UserForgetPwdCheck

返回码|描述|用户提示
---|---|---
2250| 忘记密码后修改密码 验证码错误|Incorrect verification code
2251| 验证码过期|Verification code expired, please request again
2200|用户不存在|Account not exist
2151|修改资料 向大拿总平台提交数据时出错|Fail to reset password


### UserSetPhoto

返回码|描述|用户提示
---|---|---
2300| 图片已存在， 删除失败|Platform error, please try again later
 

### UserAuth

返回码|描述|用户提示
---|---|---
2350|无此帐号|Unknown user name
2351|用户状态不可用|Account not valid
2352|帐号密码错误|Incorrect password


### UserDeviceShare

返回码|描述|用户提示
---|---|---
2400|   share中缺少必须参数|Lack necessary parameter in share


 ### UserDeviceServicesApply

返回码|描述|用户提示
---|---|---
2450|   service中缺少必须参数|Lack necessary parameter in service


### DeviceAdd|用户提示

返回码|描述
---|---|---
2500|   代理用户名密码不匹配|Agent user name and password not match
2501|   添加设备agent状态不可用|Agent status invalid
2502|  chip_code错误|Chip code error
2503|  scheme_code错误|Scheme code error
2504|  product_code错误|Product code error
2505|  agent不存在|Agent not exist


### DeviceShip

返回码|描述|用户提示
---|---|---
2550| 获取用户device错误无法检测rom|Fail to obtain com.danale.sdk.device, cannot check ROM


### DeviceAddAdv

返回码|描述|用户提示
---|---|---
2600|无AgentUser|Agent user not exist
2601|agent 不可用|Agent status invalid
|
2201|修改资料 向大拿总平台提交数据时出错|Submit failed
2500|代理用户名密码不匹配|Agent user name and password not match


### AppVerCheck

返回码|描述|用户提示
---|---|---
2650|无可更新app，当前为最新版本|Latest version already


###  GetSysPushList / SysPushSetRead

返回码|描述|用户提示
---|---|---
2700| 该用户无此id的系统推送消息，无法设置|Message push setting


### CloudOrderCheck

返回码|描述|用户提示
---|---|---
2750|找不到对应的order_id|Corresponding order not found
2751|order_id 已处理|Already solved
2752|服务已过期|Service expired

### GetServicesPriceInfo

返回码|描述|用户提示
---|---|---
2800|该服务无相关价格|Price not obtained

### DeviceOrderCloudAdd

返回码|描述|用户提示
---|---|---
2850|设备和session_key不关联|Device info not match
2851|设备不能开通云存储|Cloud storage can not open
2852|找不到对应的服务|Corresponding service not found
2853|服务降级|Service degraded
2854|币种冲突|currency conflict

### DeviceOrderCloudAdd

返回码|描述|用户提示
---|---|---
2852|找不到对应的服务|Corresponding service not found
2890|设备channo不能开通云存储|Cloud storage can not open
2891|找不到roder_id|Order not found
2892|找不到service_id|Service not found


### DeviceRenewCloudServices
返回码|描述|用户提示
---|---|---
2800|该服务无相关价格|Price not obtained
2850|设备和session_key不关联|Verification info failed
2890|设备channo不能开通云存储|Cloud storage not opened
2891|找不到roder_id|Order not found

### Family
返回码|描述|用户提示
---|---|---
3000|family名称已存在，无法使用|Family name has been occupied
3001|用户无所在的family组群
3002|family_id和用户所在family不匹配|
3003|用户不是该family的创建者
3004|该用户已被其他family添加|Users have family
3005|用户不属于该family分组中
3006|无对应user_id的确认信息|Users do not exist
3007|搜索家庭群组不存在|Family does not exist
3008|已申请或被邀请加入该家庭群组


### GetSceneList
---|---|---
7045| 查询场景出错|Request scenarios error

### GetSceneDeviceState
---|---|---
7036| scene_id不存在|Specified scenarios not exist
7037| 查询场景下设备状态出错|Device status error

### SetScene
---|---|---
7023 | scene_id不存在|Specified scenarios not exist
7026 | 查询账户对应场景出错|Corresponding scenarios query error
7027 | 更新场景信息出错|Scenarios replacement error

### SetSceneDeviceState
---|---|---
7012 | scene_id不存在|This Scenario not exist
7013 | device_info不存在|Device info not found
7016 | 新增场景设备状态出错|New scenario com.danale.sdk.device error
7018 | 更新场景设备状态出错|Scenario com.danale.sdk.device replacement error

### GetStatisticalInfo
---|---|---
7082 | device_ids 错误|Parameter transmission error


### SensorDeviceList
---|---|---
7062 | center_device_ids 错误|Parameter transmission error

### SensorDeviceState
---|---|---
7044 | device_ids 错误|Device IDS request error
7043 | 查询设备状态出错|Status query error

### ReportDoorBellState
---|---|---
7022 | push_id 参数不存在|Pushing message not exist
7023 | state参数不存在|Incorrect operation status
7024 | push_id 不是有效值|Incorrect message pushing value
7025 | 查询门铃上报出错|Bell reporting query error
7026 | 已经更新过此次push_id事件了|Event already reported

### PushMsgAdvList
---|---|---
7006 | device_id 不存在|Device ID not exist
7007 | center_device_id 中控ID不存在|Centre com.danale.sdk.device ID not exist
7008 | 查询消息出错|Query error