# 错误代码描述

---

## 系统错误描述
返回码|描述|用户提示
---|---|---
0|返回正确|返回
1|不支持的CMD|不支持该操作
2|服务器内部错误|努力连接中...

 
## 账户信息

返回码|描述|用户提示
---|---|---
1001|SessionKey格式不正确|认证信息出错，请重新登录
1002|用户帐号不存在|账户不存在
1003|dana_time 已过期|您设备的时间严重偏离标准时间，请调整后再试。
1004|用户名和密码不匹配(校验SessionKey中的 SignatureKey 不正确)|用户名或密码错误
1005|被迫下线,该账户从其他设备登录(Phone,PC/TV 同时只能有一个在线)|您的账户已经在别处登录了！
1006|app_core类型转换错误|客户端类型错误
1007|已退出，请重新登录|您已经切换到另一个区域的服务器，请重新登录
1100|密码长度小于6位|您输入的密码太简单了，至少要6位哦




## 设备信息

返回码|描述|用户提示
---|---|---
5001|设备ID不存在|您输入的设备ID不存在
5002|该设备没有服务信息存在|该设备没有任何服务信息哦
5003|device不存在，无法收藏|无法执行收藏操作
5004|设备已收藏，无法再次设置收藏|您已经收藏了该设备了哦
5005|设备未收藏，无法取消收藏|您还没有收藏该设备呢，无法执行取消
5006|device已存在，无法添加|您已经添加过该设备哦
5007|设备不属于该用户，无法操作|这个设备不属于您哦，无法操作
5008|设备未分享，无法取消|您还没有分享呢，不能执行取消
5009|设备已共享为public，无法分享给某一用户|您已经分享至公共视频咯，无法执行该操作
5010|设备已共享给该用户|设备已共享给该用户
5011|设备未开通对应服务，无法关闭|您还没有开通该服务呢，无法关闭
5012|用户无device无法检测Rom|您还没有设备呢，不能执行检测固件操作
5013|获取用户device错误无法检测rom|设备信息获取错误，无法执行检测固件操作
5014|获取用户设备的productcode错误无法检测Rom|设备的生产信息错误，无法执行检测固件操作
5015|无对应可更新Rom|您当前的设备固件是最新的版本哦
5016|设备无对应的product信息|没有查询到设备的产品信息哦
5017|product无对应的厂家信息|没有查询到设备的厂家信息
5018|device已设置ship_time|设备已设置ship_time
5019|设置设备的激活时间失败|设置设备的激活时间失败
5020|设备不在线|
5021|设备已被添加|



## JSON格式校验错误码（包括值）

返回码|描述|用户提示
---|---|---
2000|JSON格式不正确|请求的数据格式不正确
2001|没有设置cmd参数|请求的命令参数错误
2002|缺少Body参数|请求的body参数出错
2003|body转数组失败|body转数组失败
2004|缺少request_id参数|缺少request_id参数
2005|缺少page参数|缺少page参数
2006|page参数不正确，必须大于0|page参数不正确，必须大于0
2007|缺少page_size参数|缺少page_size参数
2008|page_ize参数不正确，必须大于0|page_ize参数不正确，必须大于0
2009|page或者page_size不正确，必须大于0|page或者page_size不正确，必须大于0
2010|缺少接口必须参数(body中的参数|缺少接口必须参数(body中的参数))
2011|连接平台返回json格式错误|平台返回数据出错
2012|连接平台返回code格式错误|平台返回code格式出错


### UserReg

返回码|描述|用户提示
---|---|---
2100|core_code不存在,或者core_code 不正确（有多个相同的core_code存在）. [ App 提示为：申请大拿公司识别码不正确！]|公司识别码不正确
2101|注册邮箱不合法|请输入正确的邮箱格式
2102|手机号码不合法|请输入正确的手机号码
2103|发送邮件失败|发送激活邮件失败，请检查邮箱是否正确
2104|发送验证短信失败|发送激活短信失败，请稍后试试
2105|用户已激活|该账户已被注册



### UserRegCheck

返回码|描述|用户提示
---|---|---
2150|注册验证码错误|您的验证码输入错误
2151|修改资料 向大拿总平台提交数据时出错|修改数据错误
2152|用户名已经存在|该账户已经被别人注册了
2105|用户已激活|账户已经激活了，赶紧登录试试吧


### UserForgetPwd

返回码|描述|用户提示
---|---|---
2200|用户不存在|您输入的用户名不存在
2103|发送邮件失败|发送邮件失败，请稍后试试
2104|发送验证短信失败|发送验证短信失败，请稍后试试


### UserForgetPwdCheck

返回码|描述|用户提示
---|---|---
2250| 忘记密码后修改密码 验证码错误|验证码输入错误
2251| 验证码过期|您的验证码已经过期，请重新请求验证码
2200|用户不存在|您输入的用户名不存在
2151|修改资料 向大拿总平台提交数据时出错|修改密码失败


### UserSetPhoto

返回码|描述|用户提示
---|---|---
2300| 图片已存在， 删除失败|平台内部错误，请稍后试试
 

### UserAuth

返回码|描述|用户提示
---|---|---
2350|无此帐号|用户名不存在
2351|用户状态不可用|该账户无法正常使用了
2352|帐号密码错误|用户名或密码错误


### UserDeviceShare

返回码|描述|用户提示
---|---|---
2400|   share中缺少必须参数|share中缺少必须参数


 ### UserDeviceServicesApply

返回码|描述|用户提示
---|---|---
2450|   service中缺少必须参数|service中缺少必须参数


### DeviceAdd|用户提示

返回码|描述
---|---|---
2500|   代理用户名密码不匹配|代理用户名密码不匹配
2501|   添加设备agent状态不可用|添加设备agent状态不可用
2502|  chip_code错误|芯片代码错误
2503|  scheme_code错误|方案代码错误
2504|  product_code错误|产品代码错误
2505|  agent不存在|代理商不存在


### DeviceShip

返回码|描述|用户提示
---|---|---
2550| 获取用户device错误无法检测rom|获取用户设备错误，无法执行检测固件操作


### DeviceAddAdv

返回码|描述|用户提示
---|---|---
2600|无AgentUser|代理用户不存在
2601|agent 不可用|代理状态不可用
|
2201|修改资料 向大拿总平台提交数据时出错|提交添加操作失败
2500|代理用户名密码不匹配|代理用户名密码不匹配


### AppVerCheck

返回码|描述|用户提示
---|---|---
2650|无可更新app，当前为最新版本|当前版本已经是最新版本


###  GetSysPushList / SysPushSetRead

返回码|描述|用户提示
---|---|---
2700| 该用户无此id的系统推送消息，无法设置|设置消息推送设备


### CloudOrderCheck

返回码|描述|用户提示
---|---|---
2750|找不到对应的order_id|找不到对应的订单
2751|order_id 已处理|订单已经处理过了
2752|服务已过期|服务已经过期

### GetServicesPriceInfo

返回码|描述|用户提示
---|---|---
2800|该服务无相关价格|无法获取服务价格

### DeviceOrderCloudAdd

返回码|描述|用户提示
---|---|---
2850|设备和session_key不关联|设备信息不匹配
2851|设备不能开通云存储|设备不能开通云存储服务
2852|找不到对应的服务|查询不到对应的服务
2853|服务降级|服务降级
2854|币种冲突|币种冲突

### DeviceOrderCloudAdd

返回码|描述|用户提示
---|---|---
2852|找不到对应的服务|找不到对应的服务
2890|设备channo不能开通云存储|设备通道不能开通云存储
2891|找不到roder_id|查询不到订单
2892|找不到service_id|查询不到服务


### DeviceRenewCloudServices
返回码|描述|用户提示
---|---|---
2800|该服务无相关价格|无法获取没有价格查询
2850|设备和session_key不关联|设备验证信息失败
2890|设备channo不能开通云存储|设备通道不能开通云存储
2891|找不到roder_id|查询不到订单

### Family
返回码|描述|用户提示
---|---|---
3000|family名称已存在，无法使用|家庭名称已被占用
3001|用户无所在的family组群|
3002|family_id和用户所在family不匹配|
3003|用户不是该family的创建者|
3004|该用户已被其他family添加|用户已有家庭
3005|用户不属于该family分组中|
3006|无对应user_id的确认信息|用户不存在
3007|搜索家庭群组不存在|家庭不存在
3008|已申请或被邀请加入该家庭群组



### GetSceneList
---|---|---
7045| 查询场景出错|查询场景出错

### GetSceneDeviceState
---|---|---
7036| scene_id不存在|指定场景不存在
7037| 查询场景下设备状态出错|查询场景下设备状态出错

### SetScene
---|---|---
7023 | scene_id不存在|指定场景不存
7026 | 查询账户对应场景出错|查询账户对应场景出错
7027 | 更新场景信息出错|更新场景信息出错

### SetSceneDeviceState
---|---|---
7012 | scene_id不存在|该场景不存在
7013 | device_info不存在|无法查询该设备的信息
7016 | 新增场景设备状态出错|新增场景设备状态出错
7018 | 更新场景设备状态出错|更新场景设备状态出错

### GetStatisticalInfo
---|---|---
7082 | device_ids 错误|传递参数出错


### SensorDeviceList
---|---|---
7062 | center_device_ids 错误|传递中控参数出错

### SensorDeviceState
---|---|---
7044 | device_ids 错误|请求设备IDS出错
7043 | 查询设备状态出错|查询设备状态出错

### ReportDoorBellState
---|---|---
7022 | push_id 参数不存在|该推送消息不存在
7023 | state参数不存在|操作状态不正确
7024 | push_id 不是有效值|推送消息值不正确
7025 | 查询门铃上报出错|查询门铃上报数据出错
7026 | 已经更新过此次push_id事件了|已经上报过该事件了

### PushMsgAdvList
---|---|---
7006 | device_id 不存在|设备ID不存在
7007 | center_device_id 中控ID不存在
7008 | 查询消息出错|查询消息出错


